Subject: bug#12520: closed (Re: current HEAD is broken on OSX Lion (atimer.c))

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 30 Sep 2012 09:11:03 +0000

Your bug report

#12520: current HEAD is broken on OSX Lion (atimer.c)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12520: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12520
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: current HEAD is broken on OSX Lion (atimer.c)
From: Paul Eggert <[email-masked]>
To: [email-masked]
Date: Sun, 30 Sep 2012 02:10:29 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

This should be fixed in trunk bzr 110212.

Subject: current HEAD is broken on OSX Lion (atimer.c)
From: [email-masked] (Randal L. Schwartz)
To: [email-masked]
Date: Wed, 26 Sep 2012 07:33:56 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Won't build:

gcc -std=gnu99 -c  -Demacs  -I. -I/Users/merlyn/MIRROR/emacs-GIT/src
-I../lib -I/Users/merlyn/MIRROR/emacs-GIT/src/../lib               -MMD
-MF deps/atimer.d -MP     -g3 -O2 atimer.c
atimer.c:46: error: expected '=', ',', ';', 'asm' or '__attribute__'
before 'alarm_timer'
atimer.c: In function 'set_alarm':
atimer.c:302: error: storage size of 'ispec' isn't known
atimer.c:305: warning: implicit declaration of function 'timer_settime'
atimer.c:305: error: 'alarm_timer' undeclared (first use in this
function)
atimer.c:305: error: (Each undeclared identifier is reported only once
atimer.c:305: error: for each function it appears in.)
atimer.c: In function 'init_atimer':
atimer.c:423: error: 'alarm_timer' undeclared (first use in this
function)
atimer.c:424: warning: implicit declaration of function 'timer_create'
atimer.c:424: error: 'CLOCK_REALTIME' undeclared (first use in this
function)
make[1]: *** [atimer.o] Error 1
make: *** [src] Error 2

Latest commit:

commit ce6242525b04b4dfb6dac7a636c5866632dad694
Author: Glenn Morris <[email-masked]>
Date:   Wed Sep 26 00:07:32 2012 -0700

    Fix bug ref

diff --git a/src/ChangeLog b/src/ChangeLog
index b4a8fe1..23f56db 100644
--- a/src/ChangeLog
+++ b/src/ChangeLog
@@ -359,7 +359,7 @@
 2012-09-23  Jan Dj<C3><A4>rv  <[email-masked]>
 
        * nsterm.m (ns_dumpglyphs_image): dr is a new rect to draw image
          into,
-       background rect may be larger (Bug#12445).
+       background rect may be larger (Bug#12245).
 
 2012-09-23  Chong Yidong  <[email-masked]>

Sorry, didn't have time to bisect yet.
 
-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Smalltalk/Perl/Unix consulting, Technical writing, Comedy, etc. etc.
See http://methodsandmessages.posterous.com/ for Smalltalk discussion